function init()

%
% Initializer: run this file before using the routine


% add directories to the path
curdir = pwd;
path(path, curdir);
path(path, strcat(curdir, '/data'));
path(path, strcat(curdir, '/example'));
path(path, strcat(curdir, '/main'));
path(path, strcat(curdir, '/map'));
path(path, strcat(curdir, '/plot'));
path(path, strcat(curdir, '/util'));
path(path, strcat(curdir, '/util/cprintf'));

% set display with higher precision
format long;

% set default method parameter values
assignin('base', 'diverge', 100000);
assignin('base', 'tolerance', 1e-8);
assignin('base', 'max_step', 50);
assignin('base', 'arc_length', 10);
assignin('base', 'd', 0.001);
assignin('base', 'a_min', 0.2);
assignin('base', 'a_max', 0.3);
assignin('base', 'Da_min', 1e-6);
assignin('base', 'Da_max', 1e-5);
assignin('base', 'D_min', 1e-4);
assignin('base', 'cB', 0.2);
assignin('base', 'eB', 1e-6);




