function J = ecomodel_J(x, alpha, beta, gamma, xi, k, N, a0, a1, q0, q1)

if (length(x) ~= 2)
    cprintf('err', 'ERROR: First argument must be a vector with 2 elements.\n');
    y = [];
    return;
else
    J = zeros(2, 2);
    J(1, 1) = 1+alpha-(1/2)*N*a0*q0/gamma-2*alpha*x(1)/k+(1/2)*N*(a0*q0-a1*q1)*x(2)/gamma;
    J(1, 2) = (1/2)*N*(a0*q0-a1*q1)*x(1)/gamma ;
    J(2, 1) = -(1/4)*x(2)*(1-x(2))*beta*(a0^2*q0-a1^2*q1)*exp(beta*((1/4)*(a0^2*q0-a1^2*q1)*x(1)/gamma-xi))/((x(2)+(1-x(2))*exp(beta*((1/4)*(a0^2*q0-a1^2*q1)*x(1)/gamma-xi)))^2*gamma);
    J(2, 2) = 1/(x(2)+(1-x(2))*exp(beta*((1/4)*(a0^2*q0-a1^2*q1)*x(1)/gamma-xi)))-x(2)*(1-exp(beta*((1/4)*(a0^2*q0-a1^2*q1)*x(1)/gamma-xi)))/(x(2)+(1-x(2))*exp(beta*((1/4)*(a0^2*q0-a1^2*q1)*x(1)/gamma-xi)))^2;
end;
