function y = henon(x, a, b)
%
% Henon map
% 
%     /x1\      / x2 + 1 - a*x1^2 \
% h: (    ) -> (                   )
%     \x2/      \ b*x1            /
%
%
% chaotic attractor: a = 1.4, b = 0.3

if (length(x) ~= 2)
    cprintf('err', 'ERROR: First argument must be a vector with 2 elements.\n');
    y = [];
    return;
else
    % y(1) = x(2) + 1 - a*x(1)^2;
    % y(2) = b*x(1);
    %%% in Alligood, Yorke:
    % y(1) = b*x(2) + a - x(1)^2;
    % y(2) = x(1);
    %%% in Devaney:
    y(1) = a - b*x(2) - x(1)^2;
    y(2) = x(1);
end;
