function theta = find_angle(p0, p1)

%
% Find angle between the vector [p0, p1] and the vertical
% axis 
%

theta = acos((p1(2) - p0(2))/norm(p1 - p0)); % theta \in [0, pi]

if (p1(1) - p0(1) < 0)
    % the vector is negative in x-direction, theta must be
    % in [pi, 2*pi] 
    theta = 2*pi - theta;
end